## libnmea 0.5.3

=== Makefile ===
CC = gcc 
 
BIN = lib/libnmea.a 
MODULES = generate generator parse parser tok context time info gmath sentence  
SAMPLES = generate generator parse parse_file math
 
OBJ = $(MODULES:%=build/nmea_gcc/%.o) 
LINKOBJ = $(OBJ) $(RES)

SMPLS = $(SAMPLES:%=samples_%)
SMPLOBJ = $(SAMPLES:%=samples/%/main.o)

INCS = -I include 
LIBS = -lm -Llib -lnmea
 
.PHONY: all all-before all-after clean clean-custom doc
 
all: all-before $(BIN) samples all-after 

all-before:
	mkdir -p build/nmea_gcc

clean: clean-custom 
	rm -f $(LINKOBJ) $(BIN) $(SMPLOBJ) $(SMPLS)

doc:
	$(MAKE) -C doc
	
remake: clean all

$(BIN): $(LINKOBJ)
	ar rsc $@ $^
	ranlib $@

build/nmea_gcc/%.o: src/%.c 
	$(CC) $(INCS) -c $< -o $@

samples: $(SMPLS)

samples_%: samples/%/main.o
	$(CC) $< $(LIBS) -o build/$@

samples/%/main.o: samples/%/main.c
	$(CC) $(INCS) -c $< -o $@

=== nmealib-patched/Makefile ===
CC = gcc 

INSTALL = install
LN_SF = /bin/ln -sf
MKDIR = mkdir -p

DESTDIR=
PREFIX=/usr
LIBDIR=$(PREFIX)/lib
INCDIR=$(PREFIX)/include/nmea

BIN = lib/libnmea.a 
MODULES = generate generator parse parser tok context time info gmath sentence  
SAMPLES = generate generator parse parse_file math
 
OBJ = $(MODULES:%=build/nmea_gcc/%.o) 
LINKOBJ = $(OBJ) $(RES)

SMPLS = $(SAMPLES:%=samples_%)
SMPLOBJ = $(SAMPLES:%=samples/%/main.o)

CFLAGS=-O2 -pipe -fPIC -ggdb
SONAME_OPT=-Wl,-soname,
LIB_NAME = libnmea.so
LIB_VERSION = 0
RELEASE = 0.0
LIBTAG = $(LIB_VERSION).$(RELEASE)

INCS = -I include 
LIBS = -lm -Llib -lnmea

.PHONY: all all-before all-after clean clean-custom doc
 
all: all-before $(BIN) samples all-after shared-lib

shared-lib: $(LIB_NAME) $(LIB_NAME).$(LIBTAG)

all-before:
	mkdir -p build/nmea_gcc

clean: clean-custom 
	rm -f $(LINKOBJ) $(BIN) $(SMPLOBJ) $(SMPLS) $(LIB_NAME) $(LIB_NAME).$(LIBTAG)
	rm -rf build/nmea_gcc

doc:
	$(MAKE) -C doc

$(LIB_NAME): $(BIN) $(LINKOBJ)
	$(CC) $(LDFLAGS) -shared $(SONAME_OPT)$(LIB_NAME).$(LIB_VERSION) -o $@ $(LINKOBJ) -lm

$(LIB_NAME).$(LIBTAG): $(LIB_NAME)
	cp $(LIB_NAME) $(LIB_NAME).$(LIBTAG)

install: all
	$(INSTALL) -d -m 755 $(DESTDIR)$(PREFIX)
	$(INSTALL) -d -m 755 $(DESTDIR)$(LIBDIR)
	$(INSTALL) -d -m 755 $(DESTDIR)$(INCDIR)

	$(INSTALL) include/nmea/*.h -m 644 $(DESTDIR)$(INCDIR)

	$(INSTALL) $(BIN) -m 644 $(DESTDIR)$(LIBDIR)
	$(INSTALL) -m 755 $(LIB_NAME).$(LIBTAG) $(DESTDIR)$(LIBDIR)

	$(LN_SF) $(LIB_NAME).$(LIBTAG) $(DESTDIR)$(LIBDIR)/$(LIB_NAME).$(LIB_VERSION)
	$(LN_SF) $(LIB_NAME).$(LIB_VERSION) $(DESTDIR)$(LIBDIR)/$(LIB_NAME)
	
remake: clean all

$(BIN): $(LINKOBJ)
	ar rsc $@ $^
	ranlib $@

build/nmea_gcc/%.o: src/%.c 
	$(CC) $(CFLAGS) $(INCS) -c $< -o $@

samples: $(SMPLS)

samples_%: samples/%/main.o
	$(CC) $< $(LIBS) -o build/$@

samples/%/main.o: samples/%/main.c
	$(CC) $(INCS) -c $< -o $@

=== debian/changelog ===
libnmea (0.5.3) unstable; urgency=low
  * Initial package for maemo

 -- Kaj-Michael Lang <milang@tal.org>  Wed, 09 Mar 2011 11:06:00 +0200

=== debian/control ===
Source: libnmea
Section: libs
Priority: optional
Maintainer: Kaj-Michael Lang <milang@tal.org>
Build-Depends: cdbs, debhelper (>= 5), autotools-dev, pkg-config
Standards-Version: 3.8.2
Homepage: http://nmea.sourceforge.net/

Package: libnmea
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: NMEA Library
 Open source and free library in 'C' programming language for work with NMEA protocol.
 Features
 * Analysis NMEA sentences and granting GPS data in C structures
 * Generate NMEA sentences
 * Supported sentences: GPGGA, GPGSA, GPGSV, GPRMC, GPVTG
 * Multilevel architecture of algorithms
 * Additional functions of geographical mathematics and work with navigation data

Package: libnmea-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libdmtx0a (= ${binary:Version})
Description: NMEA library development files and static libraries

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk

IS_FREMANTLE=$(shell if grep Fremantle /etc/maemo_version &> /dev/null; then echo y; else echo n; fi)

DEB_DH_INSTALL_SOURCEDIR := debian/tmp

# Use hardware floating point
ifneq (,$(findstring vfp,$(DEB_BUILD_OPTIONS)))
    CFLAGS += -mfpu=vfp -mfloat-abi=softfp
    CXXFLAGS += -mfpu=vfp -mfloat-abi=softfp
endif

DEB_TAR_SRCDIR=nmealib
DEB_DESTDIR=$(CURDIR)/debian/tmp

DEB_MAKE_CLEAN_TARGET   = clean
DEB_MAKE_BUILD_TARGET   = all
DEB_MAKE_INSTALL_TARGET = install DESTDIR=$(CURDIR)/debian/tmp/

ifeq ($(IS_FREMANTLE),y)
DEB_OPT_FLAG_armel:=-O2 -fomit-frame-pointer -pipe -mcpu=cortex-a8
else
DEB_OPT_FLAG_armel:=-O2 -fomit-frame-pointer -pipe
endif

# Make sure we get properly optimized
DEB_OPT_FLAG_i386:=-O2 -fomit-frame-pointer -pipe -march=i686 -mtune=pentium2
DEB_OPT_FLAG:=$(DEB_OPT_FLAG_$(DEB_HOST_ARCH))

include /usr/share/cdbs/1/rules/tarball.mk
